Linux repositories inspector

libcaca0 - Library for Colour ASCII Art, text mode graphics

libcaca is the Colour AsCii Art library. It provides high level functions for colour text drawing, simple primitives for line, polygon and ellipse drawing, as well as powerful image to text conversion routines.
This package contains the shared library for libcaca.
Original maintainer
Homepagehttp://caca.zoy.org/
0.99.beta19.git20171003
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
OpenSUSE iconOpenSUSE Tumbleweed
0.99.beta19
Debian iconDebian 10.0
Debian iconDebian 9.0
OpenSUSE iconOpenSUSE Leap 42.3
Ubuntu iconUbuntu 17.10
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb0.99.beta19-2.110.04.2019338 kiB1.02 MiB
Debian iconDebian 9.0 stretch/maindeb0.99.beta19-2+b210.11.2017338 kiB1.01 MiB
OpenSUSE iconOpenSUSE Leap 15.0 ossrpm0.99.beta19.git20171003-lp150.1.417.01.2019320 kiB1.5 MiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm0.99.beta19.git20171003-lp150.2.3.104.04.2019321 kiB1.5 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 ossrpm0.99.beta19.git20171003-lp151.3.102.04.2019317 kiB1.5 MiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 ossrpm0.99.beta19-6.717.01.2019313 kiB1.5 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Tumbleweed ossrpm0.99.beta19.git20171003-2.220.02.2019317 kiB1.5 MiBhttps://bugs.opensuse.org
Ubuntu iconUbuntu 17.10 artful/maindeb0.99.beta19-2build2~gcc5.210.11.2017198 kiB1.01 MiB
Ubuntu iconUbuntu 18.04 LTS bionic/maindeb0.99.beta19-2build2~gcc5.312.06.2018198 kiB1.01 MiB
Ubuntu iconUbuntu 18.04 LTS bionic-security/maindeb0.99.beta19-2ubuntu0.18.04.115.01.2019198 kiB1.01 MiB
Ubuntu iconUbuntu 18.04 LTS bionic-updates/maindeb0.99.beta19-2ubuntu0.18.04.115.01.2019198 kiB1.01 MiB
Ubuntu iconUbuntu 18.10 cosmic/maindeb0.99.beta19-2build2~gcc5.314.01.2019198 kiB1.01 MiB
Ubuntu iconUbuntu 18.10 cosmic-security/maindeb0.99.beta19-2ubuntu0.18.10.115.01.2019197 kiB1.02 MiB
Ubuntu iconUbuntu 18.10 cosmic-updates/maindeb0.99.beta19-2ubuntu0.18.10.115.01.2019197 kiB1.02 MiB
Ubuntu iconUbuntu 19.04 disco/maindeb0.99.beta19-2ubuntu225.01.2019197 kiB1.02 MiB
Ubuntu iconUbuntu 16.04 LTS xenial/maindeb0.99.beta19-2build2~gcc5.210.11.2017198 kiB1.01 MiB
Ubuntu iconUbuntu 16.04 LTS xenial-security/maindeb0.99.beta19-2ubuntu0.16.04.115.01.2019197 kiB1.01 MiB
Ubuntu iconUbuntu 16.04 LTS xenial-updates/maindeb0.99.beta19-2ubuntu0.16.04.115.01.2019197 kiB1.01 MiB

Latest updates

Debian 10.0 icon

Debian 10.0 buster/main: Updated from 0.99.beta19-2+b3 to 0.99.beta19-2.1

10.04.2019 23:12
  • Non-maintainer upload.
  • Cherry-Pick fixes from upstream git repository:
    • CVE-2018-20545, CVE-2018-20546, CVE-2018-20547,CVE-2018-20548 and CVE-2018-20549 (Closes: #917807)
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 0.99.beta19.git20171003-lp150.2.3.1 introduced

04.04.2019 14:15
  • Prevent overflow of arithmetic of large (unsigned) ints by
    • declaring fields as size_t
    • casting intermediate results to uint64_t
    [CVE-2018-20544, bsc#1120502,
    CVE-2018-20545, bsc#1120584,
    CVE-2018-20546, bsc#1120503,
    CVE-2018-20547, bsc#1120504,
    CVE-2018-20548, bsc#1120589,
    CVE-2018-20549, bsc#1120470,
    libcaca-prevent-overflow.patch]
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 0.99.beta19.git20171003-lp151.2.3 to 0.99.beta19.git20171003-lp151.3.1

02.04.2019 13:10
  • Prevent overflow of arithmetic of large (unsigned) ints by
    • declaring fields as size_t
    • casting intermediate results to uint64_t
    [CVE-2018-20544, bsc#1120502,
    CVE-2018-20545, bsc#1120584,
    CVE-2018-20546, bsc#1120503,
    CVE-2018-20547, bsc#1120504,
    CVE-2018-20548, bsc#1120589,
    CVE-2018-20549, bsc#1120470,
    libcaca-prevent-overflow.patch]
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-2.1 to 0.99.beta19.git20171003-2.2

20.02.2019 09:56
  • Cast intermediate results to 64 bits to prevent overflow of calculations with 32-bit quentities.
    [CVE-2018-20544, bsc#1120502, Bug1120502-add_cast_to_prevent_overflow.patch]
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-1.3 to 0.99.beta19.git20171003-2.1

06.02.2019 10:01
  • Cast intermediate results to 64 bits to prevent overflow of calculations with 32-bit quentities.
    [CVE-2018-20544, bsc#1120502, Bug1120502-add_cast_to_prevent_overflow.patch]
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-1.2 to 0.99.beta19.git20171003-1.3

03.02.2019 10:21
  • Deleted _service and use spec file to download git version.
  • Shorten version field to joliet usable length.
  • Change python headers to allow bindings to build normally with python3.
  • Use %license for license document.
Ubuntu 19.04 icon

Ubuntu 19.04 disco/main: Updated from 0.99.beta19-2build2~gcc5.3 to 0.99.beta19-2ubuntu2

25.01.2019 13:05
  • Don't build pdf documentation as this causes a FTBFS with recent versions of latex packages.
    • debian/control: switch Build-Depends from doxygen-latex to doxygen.
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/main: Version 0.99.beta19-2ubuntu2 removed

25.01.2019 12:35
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/main: Version 0.99.beta19-2ubuntu2 introduced

25.01.2019 09:29
  • Don't build pdf documentation as this causes a FTBFS with recent versions of latex packages.
    • debian/control: switch Build-Depends from doxygen-latex to doxygen.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Version 0.99.beta19.git20171003-lp151.2.3 introduced

23.01.2019 10:08
  • Deleted _service and use spec file to download git version.
  • Shorten version field to joliet usable length.
  • Change python headers to allow bindings to build normally with python3.
  • Use %license for license document.
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 oss: Version 0.99.beta19.git20171003-lp150.1.4 introduced

17.01.2019 18:50
  • Deleted _service and use spec file to download git version.
  • Shorten version field to joliet usable length.
  • Change python headers to allow bindings to build normally with python3.
  • Use %license for license document.
OpenSUSE Leap 42.3 icon

OpenSUSE Leap 42.3 oss: Version 0.99.beta19-6.7 introduced

17.01.2019 18:37
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Version 0.99.beta19.git20171003-1.2 introduced

17.01.2019 17:03
  • Deleted _service and use spec file to download git version.
  • Shorten version field to joliet usable length.
  • Change python headers to allow bindings to build normally with python3.
  • Use %license for license document.
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-updates/main: Version 0.99.beta19-2ubuntu0.16.04.1 introduced

15.01.2019 13:35
  • SECURITY UPDATE: Floating point exception
    • debian/patches/CVE-2018-20544.patch: fix in
      caca/dither.c.
    • CVE-2018-20544
  • SECURITY UPDATE: Buffer over-write
    • debian/patches/CVE-2018-20545_20548_20549.patch:
      fix in src/common-image.h.
    • CVE-2018-20545
    • CVE-2018-20548
    • CVE-2018-20549
  • SECURITY UPDATE: Buffer over-read
    • debian/patches/CVE-2018-20546_20547.patch: fix in
      caca/dither.c.
    • CVE-2018-20546
    • CVE-2018-20547
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-updates/main: Version 0.99.beta19-2ubuntu0.18.10.1 introduced

15.01.2019 13:25
  • SECURITY UPDATE: Floating point exception
    • debian/patches/CVE-2018-20544.patch: fix in
      caca/dither.c.
    • CVE-2018-20544
  • SECURITY UPDATE: Buffer over-write
    • debian/patches/CVE-2018-20545_20548_20549.patch:
      fix in src/common-image.h.
    • CVE-2018-20545
    • CVE-2018-20548
    • CVE-2018-20549
  • SECURITY UPDATE: Buffer over-read
    • debian/patches/CVE-2018-20546_20547.patch: fix in
      caca/dither.c.
    • CVE-2018-20546
    • CVE-2018-20547
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-updates/main: Version 0.99.beta19-2ubuntu0.18.04.1 introduced

15.01.2019 13:15
  • SECURITY UPDATE: Floating point exception
    • debian/patches/CVE-2018-20544.patch: fix in
      caca/dither.c.
    • CVE-2018-20544
  • SECURITY UPDATE: Buffer over-write
    • debian/patches/CVE-2018-20545_20548_20549.patch:
      fix in src/common-image.h.
    • CVE-2018-20545
    • CVE-2018-20548
    • CVE-2018-20549
  • SECURITY UPDATE: Buffer over-read
    • debian/patches/CVE-2018-20546_20547.patch: fix in
      caca/dither.c.
    • CVE-2018-20546
    • CVE-2018-20547
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-security/main: Version 0.99.beta19-2ubuntu0.18.04.1 introduced

15.01.2019 13:15
  • SECURITY UPDATE: Floating point exception
    • debian/patches/CVE-2018-20544.patch: fix in
      caca/dither.c.
    • CVE-2018-20544
  • SECURITY UPDATE: Buffer over-write
    • debian/patches/CVE-2018-20545_20548_20549.patch:
      fix in src/common-image.h.
    • CVE-2018-20545
    • CVE-2018-20548
    • CVE-2018-20549
  • SECURITY UPDATE: Buffer over-read
    • debian/patches/CVE-2018-20546_20547.patch: fix in
      caca/dither.c.
    • CVE-2018-20546
    • CVE-2018-20547
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-security/main: Version 0.99.beta19-2ubuntu0.18.10.1 introduced

15.01.2019 12:25
  • SECURITY UPDATE: Floating point exception
    • debian/patches/CVE-2018-20544.patch: fix in
      caca/dither.c.
    • CVE-2018-20544
  • SECURITY UPDATE: Buffer over-write
    • debian/patches/CVE-2018-20545_20548_20549.patch:
      fix in src/common-image.h.
    • CVE-2018-20545
    • CVE-2018-20548
    • CVE-2018-20549
  • SECURITY UPDATE: Buffer over-read
    • debian/patches/CVE-2018-20546_20547.patch: fix in
      caca/dither.c.
    • CVE-2018-20546
    • CVE-2018-20547
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-security/main: Version 0.99.beta19-2ubuntu0.16.04.1 introduced

15.01.2019 12:25
  • SECURITY UPDATE: Floating point exception
    • debian/patches/CVE-2018-20544.patch: fix in
      caca/dither.c.
    • CVE-2018-20544
  • SECURITY UPDATE: Buffer over-write
    • debian/patches/CVE-2018-20545_20548_20549.patch:
      fix in src/common-image.h.
    • CVE-2018-20545
    • CVE-2018-20548
    • CVE-2018-20549
  • SECURITY UPDATE: Buffer over-read
    • debian/patches/CVE-2018-20546_20547.patch: fix in
      caca/dither.c.
    • CVE-2018-20546
    • CVE-2018-20547
Ubuntu 19.04 icon

Ubuntu 19.04 disco/main: Version 0.99.beta19-2build2~gcc5.3 introduced

14.01.2019 12:55
  • No change rebuild to pick up -fPIE compiler default

Related packages

libcaca0-32bit - Library for Colour ASCII Art, text mode graphics
libcaca0-32bit-debuginfo - Debug information for package libcaca0
libcaca0-debuginfo - Debug information for package libcaca0
libcaca0-debuginfo-32bit - Debug information for package libcaca0
libcaca0-plugins - Plugins for libcaca
libcaca0-plugins-32bit - Plugins for libcaca
libcaca0-plugins-32bit-debuginfo - Debug information for package libcaca0-plugins
libcaca0-plugins-debuginfo - Debug information for package libcaca0-plugins
libcaca0-plugins-debuginfo-32bit - Debug information for package libcaca0-plugins
⇧ Top